Subject: bug#74787: closed (Re: bug#74787: [email-masked] breaks offloading)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Dec 2024 11:47:03 +0000

Your bug report

#74787: [email-masked] breaks offloading

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74787: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74787
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74787: [email-masked] breaks offloading
From: Ludovic Courtès <[email-masked]>
To: Tomas Volf <[email-masked]>
Cc: Josselin Poiret <[email-masked]>, Simon Tournier <[email-masked]>, Mathieu Othacehe <[email-masked]>, Tobias Geerinckx-Rice <[email-masked]>, Dariqq <[email-masked]>, Christopher Baines <[email-masked]>, [email-masked], [email-masked]
Date: Thu, 12 Dec 2024 12:45:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Tomas and Dariqq,

Tomas Volf <[email-masked]> skribis:

> In 0.18.0, the `open-remote-pipe*' now correctly quotes the arguments, so the
> double quoting that was done by `shell-quote' is not harmful and breaks at
> least offloading and deploy.
>
> * guix/remote.scm (remote-pipe-for-gexp): Call object->string just once.
>
> Change-Id: Id922d26d318bfdd4714e267687c1b27461196d90

Added the “Fixes” and “Reported-by” lines to the log and committed.

Thanks!

Ludo’.

Subject: [email-masked] breaks offloading
From: Dariqq <[email-masked]>
To: [email-masked]
Date: Wed, 11 Dec 2024 12:55:10 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Today I reconfigured my system and after a reboot offloading no longer 
works.

When i try to build something that could be offloaded it instead tries 
to build it locally instead and fails with

unsupported-platform
while setting up the build environment: a `*' is required to build `*', 
but I am a `*'

However 'guix offload test' is still succeeding

--8<---------------cut here---------------start------------->8---
sudo guix offload test

guix offload: testing 1 build machines defined in 
'/etc/guix/machines.scm'...
guix offload: Guix is usable on '*' (test returned "/gnu/store/*-test")
guix offload: '*' is running GNU Guile 3.0.9
guix offload: sending 1 store item (0 MiB) to '*'...
exporting path `/gnu/store/*-export-test'
guix offload: '*' successfully imported '/gnu/store/*-export-test'
retrieving 1 store item from '*'...
guix offload: successfully imported '/gnu/store/*-import-test' from '*'

--8<---------------cut here---------------end--------------->8---

I tracked this down to the guile-ssh update in 
da3c8a963f83c044568d99921480259eaa26a923

Reverting that restores offloading for me.

This might also be the cause for the 'guix deploy' error described in 
https://logs.guix.gnu.org/guix/2024-12-11.log#033439